This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 908915 - CVE-2012-6120 Puppet: Directory /var/log/puppet is world readable [epel-all]
CVE-2012-6120 Puppet: Directory /var/log/puppet is world readable [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: puppet (Show other bugs)
el6
All Linux
low Severity low
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-6120
  Show dependency treegraph
 
Reported: 2013-02-07 15:47 EST by Kurt Seifried
Modified: 2013-03-18 10:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-18 10:24:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-02-07 15:47:44 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2013-02-07 15:47:52 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=908629,908915
Comment 2 Alan Pevec 2013-02-12 13:56:20 EST
Strange, that one was supposed to be fixed ages ago in bug 495096 and in spec I see:

%attr(0750, puppet, puppet) %{_localstatedir}/log/puppet
Comment 3 Todd Zullinger 2013-02-12 23:04:54 EST
AFAICT, this is due to a behavior change in rpm.  If it's going to cause security bugs, perhaps that's something that can be verified and fixed in rpm (unless I'm just wrong).  See discussion in bug #857930 for details.
Comment 4 Todd Zullinger 2013-03-18 10:24:09 EDT
A new build for epel confirms that this was a bug in either rpm or the buildsystem.  The permissions on /var/log/puppet are now correct again, with no changes in the spec file.

The fixed builds for epel are 2.6.18-1.el5 and 2.6.18-1.el6:

https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0664/puppet-2.6.18-1.el5
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0657/puppet-2.6.18-1.el6

Note You need to log in before you can comment on or make changes to this bug.